searchNodes=[{"ref":"GoogleApi.CloudBuild.V1.Api.Operations.html","title":"GoogleApi.CloudBuild.V1.Api.Operations","type":"module","doc":"API calls for all endpoints tagged Operations."},{"ref":"GoogleApi.CloudBuild.V1.Api.Operations.html#cloudbuild_operations_cancel/4","title":"GoogleApi.CloudBuild.V1.Api.Operations.cloudbuild_operations_cancel/4","type":"function","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn&#39;t support this method, it returns &#x60;google.rpc.Code.UNIMPLEMENTED&#x60;. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to &#x60;Code.CANCELLED&#x60;. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server operations_id (String.t): Part of &#x60;name&#x60;. The name of the operation resource to be cancelled. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CancelOperationRequest): Returns {:ok, %GoogleApi.CloudBuild.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Operations.html#cloudbuild_operations_get/4","title":"GoogleApi.CloudBuild.V1.Api.Operations.cloudbuild_operations_get/4","type":"function","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server operations_id (String.t): Part of &#x60;name&#x60;. The name of the operation resource. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.CloudBuild.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Operations.html#cloudbuild_operations_list/3","title":"GoogleApi.CloudBuild.V1.Api.Operations.cloudbuild_operations_list/3","type":"function","doc":"Lists operations that match the specified filter in the request. If the server doesn&#39;t support this method, it returns &#x60;UNIMPLEMENTED&#x60;. NOTE: the &#x60;name&#x60; binding allows API services to override the binding to use different resource name schemes, such as &#x60;users//operations&#x60;. To override the binding, API services can add a binding such as &#x60;&quot;/v1/{name&#x3D;users/}/operations&quot;&#x60; to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): The standard list filter. :pageSize (integer()): The standard list page size. :pageToken (String.t): The standard list page token. Returns {:ok, %GoogleApi.CloudBuild.V1.Model.ListOperationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html","title":"GoogleApi.CloudBuild.V1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_builds_cancel/5","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_builds_cancel/5","type":"function","doc":"Cancels a build in progress. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project. id (String.t): ID of the build. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CancelBuildRequest): Returns {:ok, %GoogleApi.CloudBuild.V1.Model.Build{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_builds_create/4","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_builds_create/4","type":"function","doc":"Starts a build with the specified configuration. This method returns a long-running &#x60;Operation&#x60;, which includes the build ID. Pass the build ID to &#x60;GetBuild&#x60; to determine the build status (such as &#x60;SUCCESS&#x60; or &#x60;FAILURE&#x60;). Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Build): Returns {:ok, %GoogleApi.CloudBuild.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_builds_get/5","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_builds_get/5","type":"function","doc":"Returns information about a previously requested build. The &#x60;Build&#x60; that is returned includes its status (such as &#x60;SUCCESS&#x60;, &#x60;FAILURE&#x60;, or &#x60;WORKING&#x60;), and timing information. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project. id (String.t): ID of the build. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.CloudBuild.V1.Model.Build{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_builds_list/4","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_builds_list/4","type":"function","doc":"Lists previously requested builds. Previously requested builds may still be in-progress, or may have finished successfully or unsuccessfully. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): The raw filter text to constrain the results. :pageSize (integer()): Number of results to return in the list. :pageToken (String.t): Token to provide to skip to a particular spot in the list. Returns {:ok, %GoogleApi.CloudBuild.V1.Model.ListBuildsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_builds_retry/5","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_builds_retry/5","type":"function","doc":"Creates a new build based on the specified build. This method creates a new build using the original build request, which may or may not result in an identical build. For triggered builds: Triggered builds resolve to a precise revision; therefore a retry of a triggered build will result in a build that uses the same revision. For non-triggered builds that specify &#x60;RepoSource&#x60;: If the original build built from the tip of a branch, the retried build will build from the tip of that branch, which may not be the same revision as the original build. If the original build specified a commit sha or revision ID, the retried build will use the identical source. For builds that specify &#x60;StorageSource&#x60;: If the original build pulled source from Google Cloud Storage without specifying the generation of the object, the new build will use the current object, which may be different from the original build source. * If the original build pulled source from Cloud Storage and specified the generation of the object, the new build will attempt to use the same object, which may or may not be available depending on the bucket&#39;s lifecycle management settings. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project. id (String.t): Build ID of the original build. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (RetryBuildRequest): Returns {:ok, %GoogleApi.CloudBuild.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_triggers_create/4","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_triggers_create/4","type":"function","doc":"Creates a new &#x60;BuildTrigger&#x60;. This API is experimental. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project for which to configure automatic builds. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BuildTrigger): Returns {:ok, %GoogleApi.CloudBuild.V1.Model.BuildTrigger{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_triggers_delete/5","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_triggers_delete/5","type":"function","doc":"Deletes a &#x60;BuildTrigger&#x60; by its project ID and trigger ID. This API is experimental. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project that owns the trigger. trigger_id (String.t): ID of the &#x60;BuildTrigger&#x60; to delete. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.CloudBuild.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_triggers_get/5","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_triggers_get/5","type":"function","doc":"Returns information about a &#x60;BuildTrigger&#x60;. This API is experimental. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project that owns the trigger. trigger_id (String.t): ID of the &#x60;BuildTrigger&#x60; to get. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.CloudBuild.V1.Model.BuildTrigger{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_triggers_list/4","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_triggers_list/4","type":"function","doc":"Lists existing &#x60;BuildTrigger&#x60;s. This API is experimental. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project for which to list BuildTriggers. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Number of results to return in the list. :pageToken (String.t): Token to provide to skip to a particular spot in the list. Returns {:ok, %GoogleApi.CloudBuild.V1.Model.ListBuildTriggersResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_triggers_patch/5","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_triggers_patch/5","type":"function","doc":"Updates a &#x60;BuildTrigger&#x60; by its project ID and trigger ID. This API is experimental. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project that owns the trigger. trigger_id (String.t): ID of the &#x60;BuildTrigger&#x60; to update. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BuildTrigger): Returns {:ok, %GoogleApi.CloudBuild.V1.Model.BuildTrigger{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Api.Projects.html#cloudbuild_projects_triggers_run/5","title":"GoogleApi.CloudBuild.V1.Api.Projects.cloudbuild_projects_triggers_run/5","type":"function","doc":"Runs a &#x60;BuildTrigger&#x60; at a particular source revision. Parameters connection (GoogleApi.CloudBuild.V1.Connection): Connection to server project_id (String.t): ID of the project. trigger_id (String.t): ID of the trigger. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (RepoSource): Returns {:ok, %GoogleApi.CloudBuild.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html","title":"GoogleApi.CloudBuild.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.CloudBuild.V1."},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#delete/3","title":"GoogleApi.CloudBuild.V1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#delete!/3","title":"GoogleApi.CloudBuild.V1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#execute/2","title":"GoogleApi.CloudBuild.V1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#get/3","title":"GoogleApi.CloudBuild.V1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#get!/3","title":"GoogleApi.CloudBuild.V1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#head/3","title":"GoogleApi.CloudBuild.V1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#head!/3","title":"GoogleApi.CloudBuild.V1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#new/0","title":"GoogleApi.CloudBuild.V1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#new/1","title":"GoogleApi.CloudBuild.V1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#options/3","title":"GoogleApi.CloudBuild.V1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#options!/3","title":"GoogleApi.CloudBuild.V1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#patch/4","title":"GoogleApi.CloudBuild.V1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#patch!/4","title":"GoogleApi.CloudBuild.V1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#post/4","title":"GoogleApi.CloudBuild.V1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#post!/4","title":"GoogleApi.CloudBuild.V1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#put/4","title":"GoogleApi.CloudBuild.V1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#put!/4","title":"GoogleApi.CloudBuild.V1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#request/2","title":"GoogleApi.CloudBuild.V1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#request!/2","title":"GoogleApi.CloudBuild.V1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#trace/3","title":"GoogleApi.CloudBuild.V1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#trace!/3","title":"GoogleApi.CloudBuild.V1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudBuild.V1.Connection.html#t:option/0","title":"GoogleApi.CloudBuild.V1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Deserializer.html","title":"GoogleApi.CloudBuild.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.CloudBuild.V1.Model.ArtifactObjects.html","title":"GoogleApi.CloudBuild.V1.Model.ArtifactObjects","type":"module","doc":"Files in the workspace to upload to Cloud Storage upon successful completion of all build steps. Attributes paths ([String.t]): Path globs used to match files in the build&#39;s workspace. Defaults to: null. location (String.t): Cloud Storage bucket and optional object path, in the form &quot;gs://bucket/path/to/somewhere/&quot;. (see Bucket Name Requirements). Files in the workspace matching any path pattern will be uploaded to Cloud Storage with this location as a prefix. Defaults to: null. timing (TimeSpan): Output only. Stores timing information for pushing all artifact objects. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.ArtifactObjects.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.ArtifactObjects.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.ArtifactObjects.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.ArtifactObjects.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.ArtifactResult.html","title":"GoogleApi.CloudBuild.V1.Model.ArtifactResult","type":"module","doc":"An artifact that was uploaded during a build. This is a single record in the artifact manifest JSON file. Attributes fileHash ([FileHashes]): The file hash of the artifact. Defaults to: null. location (String.t): The path of an artifact in a Google Cloud Storage bucket, with the generation number. For example, &#x60;gs://mybucket/path/to/output.jar#generation&#x60;. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.ArtifactResult.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.ArtifactResult.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.ArtifactResult.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.ArtifactResult.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Artifacts.html","title":"GoogleApi.CloudBuild.V1.Model.Artifacts","type":"module","doc":"Artifacts produced by a build that should be uploaded upon successful completion of all build steps. Attributes images ([String.t]): A list of images to be pushed upon the successful completion of all build steps. The images will be pushed using the builder service account&#39;s credentials. The digests of the pushed images will be stored in the Build resource&#39;s results field. If any of the images fail to be pushed, the build is marked FAILURE. Defaults to: null. objects (ArtifactObjects): A list of objects to be uploaded to Cloud Storage upon successful completion of all build steps. Files in the workspace matching specified paths globs will be uploaded to the specified Cloud Storage location using the builder service account&#39;s credentials. The location and generation of the uploaded objects will be stored in the Build resource&#39;s results field. If any objects fail to be pushed, the build is marked FAILURE. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.Artifacts.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Artifacts.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Artifacts.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Artifacts.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Build.html","title":"GoogleApi.CloudBuild.V1.Model.Build","type":"module","doc":"A build resource in the Cloud Build API. At a high level, a &#x60;Build&#x60; describes where to find source code, how to build it (for example, the builder image to run on the source), and where to store the built artifacts. Fields can include the following variables, which will be expanded when the build is created: - $PROJECT_ID: the project ID of the build. - $BUILD_ID: the autogenerated ID of the build. - $REPO_NAME: the source repository name specified by RepoSource. - $BRANCH_NAME: the branch name specified by RepoSource. - $TAG_NAME: the tag name specified by RepoSource. - $REVISION_ID or $COMMIT_SHA: the commit SHA specified by RepoSource or resolved from the specified branch or tag. - $SHORT_SHA: first 7 characters of $REVISION_ID or $COMMIT_SHA. Attributes tags ([String.t]): Tags for annotation of a &#x60;Build&#x60;. These are not docker tags. Defaults to: null. artifacts (Artifacts): Artifacts produced by the build that should be uploaded upon successful completion of all build steps. Defaults to: null. buildTriggerId (String.t): Output only. The ID of the &#x60;BuildTrigger&#x60; that triggered this build, if it was triggered automatically. Defaults to: null. createTime (DateTime.t): Output only. Time at which the request to create the build was received. Defaults to: null. finishTime (DateTime.t): Output only. Time at which execution of the build was finished. The difference between finish_time and start_time is the duration of the build&#39;s execution. Defaults to: null. id (String.t): Output only. Unique identifier of the build. Defaults to: null. images ([String.t]): A list of images to be pushed upon the successful completion of all build steps. The images are pushed using the builder service account&#39;s credentials. The digests of the pushed images will be stored in the &#x60;Build&#x60; resource&#39;s results field. If any of the images fail to be pushed, the build status is marked &#x60;FAILURE&#x60;. Defaults to: null. logUrl (String.t): Output only. URL to logs for this build in Google Cloud Console. Defaults to: null. logsBucket (String.t): Google Cloud Storage bucket where logs should be written (see Bucket Name Requirements). Logs file names will be of the format &#x60;${logs_bucket}/log-${build_id}.txt&#x60;. Defaults to: null. options (BuildOptions): Special options for this build. Defaults to: null. projectId (String.t): Output only. ID of the project. Defaults to: null. results (Results): Output only. Results of the build. Defaults to: null. secrets ([Secret]): Secrets to decrypt using Cloud Key Management Service. Defaults to: null. source (Source): The location of the source files to build. Defaults to: null. sourceProvenance (SourceProvenance): Output only. A permanent fixed identifier for source. Defaults to: null. startTime (DateTime.t): Output only. Time at which execution of the build was started. Defaults to: null. status (String.t): Output only. Status of the build. Defaults to: null. Enum - one of [STATUS_UNKNOWN, QUEUED, WORKING, SUCCESS, FAILURE, INTERNAL_ERROR, TIMEOUT, CANCELLED] statusDetail (String.t): Output only. Customer-readable message about the current status. Defaults to: null. steps ([BuildStep]): Required. The operations to be performed on the workspace. Defaults to: null. substitutions (%{optional(String.t) &#x3D;&gt; String.t}): Substitutions data for &#x60;Build&#x60; resource. Defaults to: null. timeout (String.t): Amount of time that this build should be allowed to run, to second granularity. If this amount of time elapses, work on the build will cease and the build status will be &#x60;TIMEOUT&#x60;. Default time is ten minutes. Defaults to: null. timing (%{optional(String.t) &#x3D;&gt; TimeSpan}): Output only. Stores timing information for phases of the build. Valid keys are: BUILD: time to execute all build steps PUSH: time to push all specified images. * FETCHSOURCE: time to fetch source. If the build does not specify source or images, these keys will not be included. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.Build.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Build.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Build.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Build.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildOperationMetadata.html","title":"GoogleApi.CloudBuild.V1.Model.BuildOperationMetadata","type":"module","doc":"Metadata for build operations. Attributes build (Build): The build that the operation is tracking. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildOperationMetadata.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.BuildOperationMetadata.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildOperationMetadata.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.BuildOperationMetadata.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildOptions.html","title":"GoogleApi.CloudBuild.V1.Model.BuildOptions","type":"module","doc":"Optional arguments to enable specific features of builds. Attributes diskSizeGb (String.t): Requested disk size for the VM that runs the build. Note that this is NOT &quot;disk free&quot;; some of the space will be used by the operating system and build utilities. Also note that this is the minimum disk size that will be allocated for the build -- the build may run with a larger disk than requested. At present, the maximum disk size is 1000GB; builds that request more than the maximum are rejected with an error. Defaults to: null. env ([String.t]): A list of global environment variable definitions that will exist for all build steps in this build. If a variable is defined in both globally and in a build step, the variable will use the build step value. The elements are of the form &quot;KEY&#x3D;VALUE&quot; for the environment variable &quot;KEY&quot; being given the value &quot;VALUE&quot;. Defaults to: null. logStreamingOption (String.t): Option to define build log streaming behavior to Google Cloud Storage. Defaults to: null. Enum - one of [STREAM_DEFAULT, STREAM_ON, STREAM_OFF] logging (String.t): Option to specify the logging mode, which determines where the logs are stored. Defaults to: null. Enum - one of [LOGGING_UNSPECIFIED, LEGACY, GCS_ONLY] machineType (String.t): Compute Engine machine type on which to run the build. Defaults to: null. Enum - one of [UNSPECIFIED, N1_HIGHCPU_8, N1_HIGHCPU_32] requestedVerifyOption (String.t): Requested verifiability options. Defaults to: null. Enum - one of [NOT_VERIFIED, VERIFIED] secretEnv ([String.t]): A list of global environment variables, which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build&#39;s &#x60;Secret&#x60;. These variables will be available to all build steps in this build. Defaults to: null. sourceProvenanceHash ([String.t]): Requested hash for SourceProvenance. Defaults to: null. Enum - one of substitutionOption (String.t): Option to specify behavior when there is an error in the substitution checks. Defaults to: null. Enum - one of [MUST_MATCH, ALLOW_LOOSE] volumes ([Volume]): Global list of volumes to mount for ALL build steps Each volume is created as an empty volume prior to starting the build process. Upon completion of the build, volumes and their contents are discarded. Global volume names and paths cannot conflict with the volumes defined a build step. Using a global volume in a build with only one step is not valid as it is indicative of a build request with an incorrect configuration. Defaults to: null. workerPool (String.t): Option to specify a &#x60;WorkerPool&#x60; for the build. User specifies the pool with the format &quot;[WORKERPOOL_PROJECT_ID]/[WORKERPOOL_NAME]&quot;. This is an experimental field. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildOptions.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.BuildOptions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildOptions.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.BuildOptions.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildStep.html","title":"GoogleApi.CloudBuild.V1.Model.BuildStep","type":"module","doc":"A step in the build pipeline. Attributes args ([String.t]): A list of arguments that will be presented to the step when it is started. If the image used to run the step&#39;s container has an entrypoint, the &#x60;args&#x60; are used as arguments to that entrypoint. If the image does not define an entrypoint, the first element in args is used as the entrypoint, and the remainder will be used as arguments. Defaults to: null. dir (String.t): Working directory to use when running this step&#39;s container. If this value is a relative path, it is relative to the build&#39;s working directory. If this value is absolute, it may be outside the build&#39;s working directory, in which case the contents of the path may not be persisted across build step executions, unless a &#x60;volume&#x60; for that path is specified. If the build specifies a &#x60;RepoSource&#x60; with &#x60;dir&#x60; and a step with a &#x60;dir&#x60;, which specifies an absolute path, the &#x60;RepoSource&#x60; &#x60;dir&#x60; is ignored for the step&#39;s execution. Defaults to: null. entrypoint (String.t): Entrypoint to be used instead of the build step image&#39;s default entrypoint. If unset, the image&#39;s default entrypoint is used. Defaults to: null. env ([String.t]): A list of environment variable definitions to be used when running a step. The elements are of the form &quot;KEY&#x3D;VALUE&quot; for the environment variable &quot;KEY&quot; being given the value &quot;VALUE&quot;. Defaults to: null. id (String.t): Unique identifier for this build step, used in &#x60;wait_for&#x60; to reference this build step as a dependency. Defaults to: null. name (String.t): Required. The name of the container image that will run this particular build step. If the image is available in the host&#39;s Docker daemon&#39;s cache, it will be run directly. If not, the host will attempt to pull the image first, using the builder service account&#39;s credentials if necessary. The Docker daemon&#39;s cache will already have the latest versions of all of the officially supported build steps (https://github.com/GoogleCloudPlatform/cloud-builders). The Docker daemon will also have cached many of the layers for some popular images, like &quot;ubuntu&quot;, &quot;debian&quot;, but they will be refreshed at the time you attempt to use them. If you built an image in a previous build step, it will be stored in the host&#39;s Docker daemon&#39;s cache and is available to use as the name for a later build step. Defaults to: null. pullTiming (TimeSpan): Output only. Stores timing information for pulling this build step&#39;s builder image only. Defaults to: null. secretEnv ([String.t]): A list of environment variables which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build&#39;s &#x60;Secret&#x60;. Defaults to: null. status (String.t): Output only. Status of the build step. At this time, build step status is only updated on build completion; step status is not updated in real-time as the build progresses. Defaults to: null. Enum - one of [STATUS_UNKNOWN, QUEUED, WORKING, SUCCESS, FAILURE, INTERNAL_ERROR, TIMEOUT, CANCELLED] timeout (String.t): Time limit for executing this build step. If not defined, the step has no time limit and will be allowed to continue to run until either it completes or the build itself times out. Defaults to: null. timing (TimeSpan): Output only. Stores timing information for executing this build step. Defaults to: null. volumes ([Volume]): List of volumes to mount into the build step. Each volume is created as an empty volume prior to execution of the build step. Upon completion of the build, volumes and their contents are discarded. Using a named volume in only one step is not valid as it is indicative of a build request with an incorrect configuration. Defaults to: null. waitFor ([String.t]): The ID(s) of the step(s) that this build step depends on. This build step will not start until all the build steps in &#x60;wait_for&#x60; have completed successfully. If &#x60;wait_for&#x60; is empty, this build step will start when all previous build steps in the &#x60;Build.Steps&#x60; list have completed successfully. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildStep.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.BuildStep.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildStep.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.BuildStep.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildTrigger.html","title":"GoogleApi.CloudBuild.V1.Model.BuildTrigger","type":"module","doc":"Configuration for an automated build in response to source repository changes. Attributes tags ([String.t]): Tags for annotation of a &#x60;BuildTrigger&#x60; Defaults to: null. build (Build): Contents of the build template. Defaults to: null. createTime (DateTime.t): Output only. Time when the trigger was created. Defaults to: null. description (String.t): Human-readable description of this trigger. Defaults to: null. disabled (boolean()): If true, the trigger will never result in a build. Defaults to: null. filename (String.t): Path, from the source root, to a file whose contents is used for the template. Defaults to: null. github (GitHubEventsConfig): GitHubEventsConfig describes the configuration of a trigger that creates a build whenever a GitHub event is received. Defaults to: null. id (String.t): Output only. Unique identifier of the trigger. Defaults to: null. ignoredFiles ([String.t]): ignored_files and included_files are file glob matches using http://godoc/pkg/path/filepath#Match extended with support for &quot;**&quot;. If ignored_files and changed files are both empty, then they are not used to determine whether or not to trigger a build. If ignored_files is not empty, then we ignore any files that match any of the ignored_file globs. If the change has no files that are outside of the ignored_files globs, then we do not trigger a build. Defaults to: null. includedFiles ([String.t]): If any of the files altered in the commit pass the ignored_files filter and included_files is empty, then as far as this filter is concerned, we should trigger the build. If any of the files altered in the commit pass the ignored_files filter and included_files is not empty, then we make sure that at least one of those files matches a included_files glob. If not, then we do not trigger a build. Defaults to: null. substitutions (%{optional(String.t) &#x3D;&gt; String.t}): Substitutions data for Build resource. Defaults to: null. triggerTemplate (RepoSource): Template describing the types of source changes to trigger a build. Branch and tag names in trigger templates are interpreted as regular expressions. Any branch or tag change that matches that regular expression will trigger a build. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildTrigger.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.BuildTrigger.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuildTrigger.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.BuildTrigger.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.BuiltImage.html","title":"GoogleApi.CloudBuild.V1.Model.BuiltImage","type":"module","doc":"An image built by the pipeline. Attributes digest (String.t): Docker Registry 2.0 digest. Defaults to: null. name (String.t): Name used to push the container image to Google Container Registry, as presented to &#x60;docker push&#x60;. Defaults to: null. pushTiming (TimeSpan): Output only. Stores timing information for pushing the specified image. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuiltImage.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.BuiltImage.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.BuiltImage.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.BuiltImage.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.CancelBuildRequest.html","title":"GoogleApi.CloudBuild.V1.Model.CancelBuildRequest","type":"module","doc":"Request to cancel an ongoing build. Attributes"},{"ref":"GoogleApi.CloudBuild.V1.Model.CancelBuildRequest.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.CancelBuildRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.CancelBuildRequest.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.CancelBuildRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.CancelOperationRequest.html","title":"GoogleApi.CloudBuild.V1.Model.CancelOperationRequest","type":"module","doc":"The request message for Operations.CancelOperation. Attributes"},{"ref":"GoogleApi.CloudBuild.V1.Model.CancelOperationRequest.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.CancelOperationRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.CancelOperationRequest.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.CancelOperationRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.CheckSuiteFilter.html","title":"GoogleApi.CloudBuild.V1.Model.CheckSuiteFilter","type":"module","doc":"A CheckSuiteFilter is a filter that indicates that we should build on all check suite events. Attributes"},{"ref":"GoogleApi.CloudBuild.V1.Model.CheckSuiteFilter.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.CheckSuiteFilter.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.CheckSuiteFilter.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.CheckSuiteFilter.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Empty.html","title":"GoogleApi.CloudBuild.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.CloudBuild.V1.Model.Empty.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Empty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Empty.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Empty.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.FileHashes.html","title":"GoogleApi.CloudBuild.V1.Model.FileHashes","type":"module","doc":"Container message for hashes of byte content of files, used in SourceProvenance messages to verify integrity of source input to the build. Attributes fileHash ([Hash]): Collection of file hashes. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.FileHashes.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.FileHashes.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.FileHashes.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.FileHashes.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.GitHubEventsConfig.html","title":"GoogleApi.CloudBuild.V1.Model.GitHubEventsConfig","type":"module","doc":"GitHubEventsConfig describes the configuration of a trigger that creates a build whenever a GitHub event is received. This message is experimental. Attributes checkSuite (CheckSuiteFilter): Output only. Indicates that a build was generated from a check suite event. Defaults to: null. installationId (String.t): The installationID that emmits the GitHub event. Defaults to: null. name (String.t): Name of the repository. Defaults to: null. owner (String.t): Owner of the repository. Defaults to: null. pullRequest (PullRequestFilter): filter to match changes in pull requests. Defaults to: null. push (PushFilter): filter to match changes in refs like branches, tags. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.GitHubEventsConfig.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.GitHubEventsConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.GitHubEventsConfig.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.GitHubEventsConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Hash.html","title":"GoogleApi.CloudBuild.V1.Model.Hash","type":"module","doc":"Container message for hash values. Attributes type (String.t): The type of hash that was performed. Defaults to: null. Enum - one of [NONE, SHA256, MD5] value (binary()): The hash value. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.Hash.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Hash.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Hash.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Hash.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.ListBuildTriggersResponse.html","title":"GoogleApi.CloudBuild.V1.Model.ListBuildTriggersResponse","type":"module","doc":"Response containing existing &#x60;BuildTriggers&#x60;. Attributes nextPageToken (String.t): Token to receive the next page of results. Defaults to: null. triggers ([BuildTrigger]): &#x60;BuildTriggers&#x60; for the project, sorted by &#x60;create_time&#x60; descending. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.ListBuildTriggersResponse.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.ListBuildTriggersResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.ListBuildTriggersResponse.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.ListBuildTriggersResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.ListBuildsResponse.html","title":"GoogleApi.CloudBuild.V1.Model.ListBuildsResponse","type":"module","doc":"Response including listed builds. Attributes builds ([Build]): Builds will be sorted by &#x60;create_time&#x60;, descending. Defaults to: null. nextPageToken (String.t): Token to receive the next page of results. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.ListBuildsResponse.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.ListBuildsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.ListBuildsResponse.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.ListBuildsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.ListOperationsResponse.html","title":"GoogleApi.CloudBuild.V1.Model.ListOperationsResponse","type":"module","doc":"The response message for Operations.ListOperations. Attributes nextPageToken (String.t): The standard List next-page token. Defaults to: null. operations ([Operation]): A list of operations that matches the specified filter in the request. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.ListOperationsResponse.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.ListOperationsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.ListOperationsResponse.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.ListOperationsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Operation.html","title":"GoogleApi.CloudBuild.V1.Model.Operation","type":"module","doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done (boolean()): If the value is &#x60;false&#x60;, it means the operation is still in progress. If &#x60;true&#x60;, the operation is completed, and either &#x60;error&#x60; or &#x60;response&#x60; is available. Defaults to: null. error (Status): The error result of the operation in case of failure or cancellation. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. Defaults to: null. name (String.t): The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the &#x60;name&#x60; should be a resource name ending with &#x60;operations/{unique_id}&#x60;. Defaults to: null. response (%{optional(String.t) &#x3D;&gt; String.t}): The normal response of the operation in case of success. If the original method returns no data on success, such as &#x60;Delete&#x60;, the response is &#x60;google.protobuf.Empty&#x60;. If the original method is standard &#x60;Get&#x60;/&#x60;Create&#x60;/&#x60;Update&#x60;, the response should be the resource. For other methods, the response should have the type &#x60;XxxResponse&#x60;, where &#x60;Xxx&#x60; is the original method name. For example, if the original method name is &#x60;TakeSnapshot()&#x60;, the inferred response type is &#x60;TakeSnapshotResponse&#x60;. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.Operation.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Operation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Operation.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Operation.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.PullRequestFilter.html","title":"GoogleApi.CloudBuild.V1.Model.PullRequestFilter","type":"module","doc":"PullRequestFilter contains filter properties for matching GitHub Pull Requests. Attributes branch (String.t): Regex of branches to match. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax Defaults to: null. commentControl (String.t): Whether to block builds on a &quot;/gcbrun&quot; comment from a repository owner or collaborator. Defaults to: null. Enum - one of [COMMENTS_DISABLED, COMMENTS_ENABLED]"},{"ref":"GoogleApi.CloudBuild.V1.Model.PullRequestFilter.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.PullRequestFilter.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.PullRequestFilter.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.PullRequestFilter.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.PushFilter.html","title":"GoogleApi.CloudBuild.V1.Model.PushFilter","type":"module","doc":"Push contains filter properties for matching GitHub git pushes. Attributes branch (String.t): Regexes of branches to match. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax Defaults to: null. tag (String.t): Regexes of tags to match. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.PushFilter.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.PushFilter.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.PushFilter.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.PushFilter.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.RepoSource.html","title":"GoogleApi.CloudBuild.V1.Model.RepoSource","type":"module","doc":"Location of the source in a Google Cloud Source Repository. Attributes branchName (String.t): Name of the branch to build. Defaults to: null. commitSha (String.t): Explicit commit SHA to build. Defaults to: null. dir (String.t): Directory, relative to the source root, in which to run the build. This must be a relative path. If a step&#39;s &#x60;dir&#x60; is specified and is an absolute path, this value is ignored for that step&#39;s execution. Defaults to: null. projectId (String.t): ID of the project that owns the Cloud Source Repository. If omitted, the project ID requesting the build is assumed. Defaults to: null. repoName (String.t): Name of the Cloud Source Repository. If omitted, the name &quot;default&quot; is assumed. Defaults to: null. tagName (String.t): Name of the tag to build. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.RepoSource.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.RepoSource.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.RepoSource.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.RepoSource.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Results.html","title":"GoogleApi.CloudBuild.V1.Model.Results","type":"module","doc":"Artifacts created by the build pipeline. Attributes artifactManifest (String.t): Path to the artifact manifest. Only populated when artifacts are uploaded. Defaults to: null. artifactTiming (TimeSpan): Time to push all non-container artifacts. Defaults to: null. buildStepImages ([String.t]): List of build step digests, in the order corresponding to build step indices. Defaults to: null. buildStepOutputs ([binary()]): List of build step outputs, produced by builder images, in the order corresponding to build step indices. Cloud Builders can produce this output by writing to &#x60;$BUILDER_OUTPUT/output&#x60;. Only the first 4KB of data is stored. Defaults to: null. images ([BuiltImage]): Container images that were built as a part of the build. Defaults to: null. numArtifacts (String.t): Number of artifacts uploaded. Only populated when artifacts are uploaded. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.Results.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Results.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Results.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Results.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.RetryBuildRequest.html","title":"GoogleApi.CloudBuild.V1.Model.RetryBuildRequest","type":"module","doc":"Specifies a build to retry. Attributes"},{"ref":"GoogleApi.CloudBuild.V1.Model.RetryBuildRequest.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.RetryBuildRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.RetryBuildRequest.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.RetryBuildRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Secret.html","title":"GoogleApi.CloudBuild.V1.Model.Secret","type":"module","doc":"Pairs a set of secret environment variables containing encrypted values with the Cloud KMS key to use to decrypt the value. Attributes kmsKeyName (String.t): Cloud KMS key name to use to decrypt these envs. Defaults to: null. secretEnv (%{optional(String.t) &#x3D;&gt; binary()}): Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build&#39;s secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build&#39;s secrets. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.Secret.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Secret.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Secret.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Secret.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Source.html","title":"GoogleApi.CloudBuild.V1.Model.Source","type":"module","doc":"Location of the source in a supported storage service. Attributes repoSource (RepoSource): If provided, get the source from this location in a Cloud Source Repository. Defaults to: null. storageSource (StorageSource): If provided, get the source from this location in Google Cloud Storage. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.Source.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Source.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Source.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Source.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.SourceProvenance.html","title":"GoogleApi.CloudBuild.V1.Model.SourceProvenance","type":"module","doc":"Provenance of the source. Ways to find the original source, or verify that some source was used for this build. Attributes fileHashes (%{optional(String.t) &#x3D;&gt; FileHashes}): Output only. Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. Note that &#x60;FileHashes&#x60; will only be populated if &#x60;BuildOptions&#x60; has requested a &#x60;SourceProvenanceHash&#x60;. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (&#x60;.tar.gz&#x60;), the &#x60;FileHash&#x60; will be for the single path to that file. Defaults to: null. resolvedRepoSource (RepoSource): A copy of the build&#39;s &#x60;source.repo_source&#x60;, if exists, with any revisions resolved. Defaults to: null. resolvedStorageSource (StorageSource): A copy of the build&#39;s &#x60;source.storage_source&#x60;, if exists, with any generations resolved. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.SourceProvenance.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.SourceProvenance.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.SourceProvenance.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.SourceProvenance.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Status.html","title":"GoogleApi.CloudBuild.V1.Model.Status","type":"module","doc":"The &#x60;Status&#x60; type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. The error model is designed to be: - Simple to use and understand for most users - Flexible enough to meet unexpected needs # Overview The &#x60;Status&#x60; message contains three pieces of data: error code, error message, and error details. The error code should be an enum value of google.rpc.Code, but it may accept additional error codes if needed. The error message should be a developer-facing English message that helps developers understand and resolve the error. If a localized user-facing error message is needed, put the localized message in the error details or localize it in the client. The optional error details may contain arbitrary information about the error. There is a predefined set of error detail types in the package &#x60;google.rpc&#x60; that can be used for common error conditions. # Language mapping The &#x60;Status&#x60; message is the logical representation of the error model, but it is not necessarily the actual wire format. When the &#x60;Status&#x60; message is exposed in different client libraries and different wire protocols, it can be mapped differently. For example, it will likely be mapped to some exceptions in Java, but more likely mapped to some error codes in C. # Other uses The error model and the &#x60;Status&#x60; message can be used in a variety of environments, either with or without APIs, to provide a consistent developer experience across different environments. Example uses of this error model include: - Partial errors. If a service needs to return partial errors to the client, it may embed the &#x60;Status&#x60; in the normal response to indicate the partial errors. - Workflow errors. A typical workflow has multiple steps. Each step may have a &#x60;Status&#x60; message for error reporting. - Batch operations. If a client uses batch request and batch response, the &#x60;Status&#x60; message should be used directly inside batch response, one for each error sub-response. - Asynchronous operations. If an API call embeds asynchronous operation results in its response, the status of those operations should be represented directly using the &#x60;Status&#x60; message. - Logging. If some API errors are stored in logs, the message &#x60;Status&#x60; could be used directly after any stripping needed for security/privacy reasons. Attributes code (integer()): The status code, which should be an enum value of google.rpc.Code. Defaults to: null. details ([Object]): A list of messages that carry the error details. There is a common set of message types for APIs to use. Defaults to: null. message (String.t): A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.Status.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Status.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Status.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Status.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.StorageSource.html","title":"GoogleApi.CloudBuild.V1.Model.StorageSource","type":"module","doc":"Location of the source in an archive file in Google Cloud Storage. Attributes bucket (String.t): Google Cloud Storage bucket containing the source (see Bucket Name Requirements). Defaults to: null. generation (String.t): Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used. Defaults to: null. object (String.t): Google Cloud Storage object containing the source. This object must be a gzipped archive file (&#x60;.tar.gz&#x60;) containing source to build. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.StorageSource.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.StorageSource.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.StorageSource.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.StorageSource.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.TimeSpan.html","title":"GoogleApi.CloudBuild.V1.Model.TimeSpan","type":"module","doc":"Start and end times for a build execution phase. Attributes endTime (DateTime.t): End of time span. Defaults to: null. startTime (DateTime.t): Start of time span. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.TimeSpan.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.TimeSpan.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.TimeSpan.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.TimeSpan.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.Model.Volume.html","title":"GoogleApi.CloudBuild.V1.Model.Volume","type":"module","doc":"Volume describes a Docker container volume which is mounted into build steps in order to persist files across build step execution. Attributes name (String.t): Name of the volume to mount. Volume names must be unique per build step and must be valid names for Docker volumes. Each named volume must be used by at least two build steps. Defaults to: null. path (String.t): Path at which to mount the volume. Paths must be absolute and cannot conflict with other volume paths on the same build step or with certain reserved volume paths. Defaults to: null."},{"ref":"GoogleApi.CloudBuild.V1.Model.Volume.html#decode/2","title":"GoogleApi.CloudBuild.V1.Model.Volume.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudBuild.V1.Model.Volume.html#t:t/0","title":"GoogleApi.CloudBuild.V1.Model.Volume.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudBuild.V1.RequestBuilder.html","title":"GoogleApi.CloudBuild.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]